<ng-container *transloco="let t; scope: 'admin'; read: 'admin'">
  <div class="user-list">
    <div class="row mb-3">
      <div class="col-md-12">
        <div class="template-demo">
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb breadcrumb-custom">
              <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}" routerLinkActive="router-link-active">Dashboard</a></li>
              <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}/access-controls/users" routerLinkActive="router-link-active">User</a></li>
              <li class="breadcrumb-item active" aria-current="page"><span>All Users</span></li>
            </ol>
            
          </nav>
        </div>
      </div>
    </div>
      <div class="row">
        <div class="col-md-12 stretch-card">
          <mat-card class="card custom-card">
            <div class="card-body p-0">
              <div class="row m-0">
                <div class="col-md-12 card-title px-3 py-3 m-0 position-relative">
                  <button mat-mini-fab (click)="openSelectColumns()" aria-label="Filter List"
                      class="btn btn-primary float-start m-0 ms-2 mt-1 bg-btn-primary-gradient">
                      <mat-icon>fact_check</mat-icon>
                  </button>
                  <mat-select #columnSelect [(ngModel)]="displayedColumns" multiple class="custom-select-dropdown">
                      <mat-option *ngFor="let col of columns" [value]="col">
                        <!-- {{t('userSetup.'+col)}} -->
                        {{col}}
                      </mat-option>
                  </mat-select>
                  <h4 class="float-start pt-2 px-2 mt-2">All Users</h4>
                  <button mat-raised-button class="float-end ms-3 btn btn-primary btn-rounded btn-fw" routerLink="/{{urlPrefix}}/access-controls/users/add-user" routerLinkActive="router-link-active" >+ Add User</button>
                  <button mat-mini-fab aria-label="Filter List" (click)="isFilter = !isFilter"
                      class="float-end btn btn-primary m-0 bg-btn-primary-gradient ">
                      <mat-icon>filter_list</mat-icon>
                  </button>
                </div>
              </div>

              <form action="" class="border-bottom" [formGroup]="filterForm" (ngSubmit)="filterServiceRequest()" *ngIf="isFilter">
                <div class="row p-3 pb-0" *ngIf="isFilter">
                    <div class="col-4 pb-0">
                        <mat-form-field class="w-100">
                            <mat-label>Name</mat-label>
                            <input matInput placeholder="Enter Name" formControlName="name">
                        </mat-form-field>
                    </div>
                    <div class="col-4 pb-0">
                        <mat-form-field class="w-100">
                            <mat-label>Email</mat-label>
                            <input matInput type="email" placeholder="Enter Email" formControlName="email">
                        </mat-form-field>
                    </div>
                    <div class="col-4 pb-0">
                        <button mat-raised-button color="primary" aria-label="Add user" [class.btn-disabled]="filterForm.invalid || (filterForm.value.email == '' && filterForm.value.name == '') || (filterForm.value.email == null && filterForm.value.name == null)" [disabled]="filterForm.invalid || (filterForm.value.email == '' && filterForm.value.name == '') || (filterForm.value.email == null && filterForm.value.name == null)"
                            class="btn btn-primary bg-btn-info-gradient me-3">
                            Search
                        </button>
                        <button mat-raised-button color="primary" aria-label="Add user" type="reset"
                            class="btn btn-secondary bg-btn-secondary-gradient me-3" (click)="resetFilter()">
                            Reset
                        </button>
                    </div>
                </div>
              </form>

              <div class="row m-0">
                <div class="col-12 card-max">
                    <table mat-table [dataSource]="dataSource" class="w-100">

                        <!-- Name Column -->
                        <ng-container matColumnDef="name">
                            <th mat-header-cell *matHeaderCellDef> Name </th>
                            <td mat-cell *matCellDef="let element" (click)="details(element.id)" class="a">
                                <p class="color-blue py-1 m-0">{{element.name}}</p>
                            </td>
                        </ng-container>

                        <!-- Weight Column -->
                        <ng-container matColumnDef="email">
                            <th mat-header-cell *matHeaderCellDef> Email </th>
                            <td mat-cell *matCellDef="let element" class="">
                                {{element.email}}
                            </td>
                        </ng-container>

                        <!-- Weight Column -->
                        <ng-container matColumnDef="userName">
                            <th mat-header-cell *matHeaderCellDef> User Name </th>
                            <td mat-cell *matCellDef="let element" class="">
                                {{element.userName}}
                            </td>
                        </ng-container>

                        <!-- Symbol Column -->
                        <ng-container matColumnDef="mobileNo">
                            <th mat-header-cell *matHeaderCellDef> Mobile No. </th>
                            <td mat-cell *matCellDef="let element"> {{element.mobileNo}} </td>
                        </ng-container>

                        <!-- Symbol Column -->
                        <ng-container matColumnDef="status">
                            <th mat-header-cell *matHeaderCellDef> Status </th>
                            <td mat-cell *matCellDef="let element">
                                <span class="badge bg-success border-radius-round"
                                    *ngIf="element.isActive">Active</span>
                                <span class="badge bg-danger border-radius-round"
                                    *ngIf="!element.isActive">Inactive</span>
                            </td>
                        </ng-container>

                        <!-- Symbol Column -->
                        <ng-container matColumnDef="dateCreated">
                            <th mat-header-cell *matHeaderCellDef> Date Created </th>
                            <td mat-cell *matCellDef="let element"> {{element.createdAt | date:'medium'}} </td>
                        </ng-container>

                        <!-- Symbol Column -->
                        <ng-container matColumnDef="action">
                            <th mat-header-cell *matHeaderCellDef> Action </th>
                            <td mat-cell *matCellDef="let element">
                                <mat-slide-toggle class="my-slide-toggle" [(ngModel)]="element.isActive" (change)="updateStatus(element)">
                                </mat-slide-toggle>
                            </td>
                        </ng-container>

                        <!-- Symbol Column -->
                        <ng-container matColumnDef="login">
                            <th mat-header-cell *matHeaderCellDef> Login </th>
                            <td mat-cell *matCellDef="let element">
                                <mat-slide-toggle class="my-slide-toggle" [(ngModel)]="element.isLogin">
                                </mat-slide-toggle>
                            </td>
                        </ng-container>

                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </table>
                </div>
                <div class="col-12">
                    <mat-paginator [length]="dataSource.totalDataLength.value" [pageSize]="10" [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
                </div>
              </div>
              
              <!-- <div class="table-responsive py-2">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th>User</th>
                      <th>Product</th>
                      <th>Sale</th>
                      <th>Status</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>Jacob</td>
                      <td>Photoshop</td>
                      <td class="text-danger"> 28.76% <i class="ti-arrow-down"></i></td>
                      <td><label class="badge badge-outline-danger">Pending</label></td>
                    </tr>
                    <tr>
                      <td>Messsy</td>
                      <td>Flash</td>
                      <td class="text-danger"> 21.06% <i class="ti-arrow-down"></i></td>
                      <td><label class="badge badge-outline-warning">In progress</label></td>
                    </tr>
                    <tr>
                      <td>John</td>
                      <td>Premier</td>
                      <td class="text-danger"> 35.00% <i class="ti-arrow-down"></i></td>
                      <td><label class="badge badge-outline-info">Fixed</label></td>
                    </tr>
                    <tr>
                      <td>Peter</td>
                      <td>After effects</td>
                      <td class="text-success"> 82.00% <i class="ti-arrow-up"></i></td>
                      <td><label class="badge badge-outline-success">Completed</label></td>
                    </tr>
                    <tr>
                      <td>Dave</td>
                      <td>53275535</td>
                      <td class="text-success"> 98.05% <i class="ti-arrow-up"></i></td>
                      <td><label class="badge badge-outline-warning">In progress</label></td>
                    </tr>
                  </tbody>
                </table>
              </div> -->
            </div>
          </mat-card>
        </div>
      </div>
  </div>
</ng-container>